Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Class RPLDottedName

    java.lang.Object
      uchicago.src.sim.parameter.rpl.RPLDottedName

All Implemented Interfaces:
  RPLObject

    public class RPLDottedName

extends java.lang.Object
implements RPLObject

RPLObject representation of a dotted name reference.

Version:
  $Revision: 1.2 $ $Date: 2003/04/08 15:15:34 $

Constructor Summary
`RPLDottedName(java.lang.String lhs, java.lang.String rhs)` Creates a RPLDottedName from the specified names.

Method Summary
`void` | `compile(RPLCompiler compiler)` Compile this RPLDottedName, resolving the references if possible.
`java.lang.String` | `getLHS()` Gets the left-hand side name.
`java.lang.String` | `getRHS()` Gets the right-hand side name.
`java.lang.Class` | `getType()` Returns the type of this RPLDottedName.
`java.lang.Object` | `getValue()` Returns the value of this RPLDottedName.
`void` | `setLineCol(int line, int col)` Sets where this RPLDottedName was defined in the source file by line and col.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPLDottedName

    public RPLDottedName(java.lang.String lhs,
                         java.lang.String rhs)

  Creates a RPLDottedName from the specified names.

  Parameters:
    `lhs` - the name on the left-hand side of the dot
    `rhs` - the name on the right-hand side of the dot

Method Detail

### getLHS

    public java.lang.String getLHS()

  Gets the left-hand side name.

  Returns:

### getRHS

    public java.lang.String getRHS()

  Gets the right-hand side name.

  Returns:

### getValue

    public java.lang.Object getValue()

  Returns the value of this RPLDottedName. This is unliked to return anything but null until this RPLDottedName has been compiled.

  Specified by:
    `getValue` in interface `RPLObject`
  Returns:

### getType

    public java.lang.Class getType()

  Returns the type of this RPLDottedName. This is unliked to return anything but null until this RPLDottedName has been compiled.

  Specified by:
    `getType` in interface `RPLObject`
  Returns:

### compile

    public void compile(RPLCompiler compiler)

  Compile this RPLDottedName, resolving the references if possible.

  Specified by:
    `compile` in interface `RPLObject`
  Parameters:
    `compiler` - the compiler

### setLineCol

    public void setLineCol(int line,
                           int col)

  Sets where this RPLDottedName was defined in the source file by line and col.

  Parameters:
    `line` - the line number where this was defined
    `col` - the column number where this was defined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD